package me.qwq.doghouse.enums;

import com.github.yulichang.wrapper.enums.BaseFuncEnum;

public enum FuncsEnum implements BaseFuncEnum {
    
    COUNT_DISTINCT("COUNT(DISTINCT %s)"),
    SELECT_META("GROUP_CONCAT(DISTINCT %s ORDER BY %s DESC, %s ASC)"),
    DISTINCT("DISTINCT %s");

    private final String sql;
    
    FuncsEnum(String sql) {
        this.sql = sql;
    }

    @Override
    public String getSql() {
        return this.sql;
    }

}
